Subject: [SIP] Naive Question Regarding Unsupported Media types in SDP

From: "Shaheen, Kamel M." <[email-masked]>
Date: Thu, 5 Jul 2001 12:20:31 -0400

Greetings SIPers,
 
I am coming from 3GPP point of view where SIP is used to initiate Multimedia
Sessions.  I had a rather naive question regarding the handling of
unsupported media type in SDP. Currently, the proxy (S-CSCF) sets the port
number to 0 for all unsupported media types while leaving all media
information and attributes in the message traveling through the network and
over the air. I was wondering, Is there specific reason for that?
 
Further, If the media type is not supported and the end terminal can not use
it, why not delete the whole entry and save the bandwidth? Just wondering!
 
Feedback is always welcomed and excuse my ignorance.
 
Regards,
 
Kamel Shaheen, Ph.D.
 
InterDigital Communication